# WOK
TKWOK
MS

# MS_NatType Class Reference

`#include <MS_NatType.hxx>`

Inheritance diagram for MS_NatType:

[legend]

## Public Member Functions

Standard_EXPORT void | Private (const Standard_Boolean aPrivate)
Standard_EXPORT Standard_Boolean | Private () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | MS_NatType (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aPackage, const Handle(TCollection_HAsciiString)&aContainer, const Standard_Boolean aPrivate)

## Private Attributes

Standard_Boolean | myPrivate

## Constructor & Destructor Documentation

Standard_EXPORT MS_NatType::MS_NatType | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aPackage,
|  | const Handle(TCollection_HAsciiString)& | aContainer,
|  | const Standard_Boolean | aPrivate
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const MS_NatType::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_Type. Reimplemented in MS_Alias, MS_Enum, MS_Imported, MS_Pointer, and MS_PrimType.

Standard_EXPORT Standard_Boolean MS_NatType::Private | ( |  | ) | const`[virtual]`

| Implements MS_Type.

Standard_EXPORT void MS_NatType::Private | ( | const Standard_Boolean | aPrivate | ) |

## Field Documentation

Standard_Boolean MS_NatType::myPrivate `[private]`

The documentation for this class was generated from the following file:

- MS_NatType.hxx